Program Supper;

{ File: [22,310]SUPPER.PAS
  Author: Phil Hannay

  Last Edit:  23-JUN-1988 22:32:29 

  History: 
	 23-JUN-1988 21:59:46  - JMB PA3UTL upgrade.
	  9-Aug-84  MRC  taken from comd.pas
}
{$NOMAIN}
{[A+,B+,L-,K+,R+] Pasmat Directive }

Procedure Supper (var s: packed array [lo..hi: integer] of char );external;

{*USER*
  Convert a type 0 or type 1 string to all upper case.  Alpha characters
  are the only converted characters.  Numbers and special characters
  are left as is.
}

Procedure Supper;

Var
  i, j, len: integer;

Begin
if lo = 0 then len:= ord(s[0]) else len:= hi-lo+1;
for i:= 1 to len do
  begin
  j:= ord(s[i]);
  if (j>=97) and (j<=122) then s[i]:= chr(j-32);
  end
end;  {procedure Supper}


{-----------------------------------------------------------------------}

